help to get ubports installer working



  • When I try to run the installer I get this, please can anyone advise what to do to get it working, the version I am running is the latest as far as can tell. When I open the GUI it just runs 'no internet connection' on a loop.

    (process:16668): Gtk-WARNING **: 17:35:56.310: Locale not supported by C library.
    Using the fallback 'C' locale.

    (ubports-installer:16668): GdkPixbuf-WARNING **: 17:35:56.337: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

    This likely means that your installation is broken.
    Try running the command
    gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    to make things work again for the time being.
    Gtk-Message: 17:35:56.425: Failed to load module "canberra-gtk-module"
    Gtk-Message: 17:35:56.427: Failed to load module "canberra-gtk-module"

    (ubports-installer:16668): GLib-GIO-CRITICAL **: 17:35:58.572: g_settings_schema_source_lookup: assertion 'source != NULL' failed

    (ubports-installer:16668): GLib-GIO-CRITICAL **: 17:35:58.622: g_settings_schema_source_lookup: assertion 'source != NULL' failed
    info: Welcome to the UBports Installer version 0.4.19-beta!
    error: getDeviceSelects error: Error: getaddrinfo EAI_AGAIN raw.githubusercontent.com
    info: This is not the latest version of the UBports Installer! Please update: https://devices.ubuntu-touch.io/installer/?package=snap
    error: getDeviceSelects error: Error: getaddrinfo EAI_AGAIN raw.githubusercontent.com


Log in to reply